Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Verifing VPN Client Versions

I have had the VPN3030 concentrator in production for over a year now. The client version have slowly been increasing to the current version. Is there some information logged that I can correlate what users are using what client version. Furthermore, can I have the concentractor deny access to client below a predefined revision.

Thanks,

Dan Laden

5 REPLIES
Cisco Employee

Re: Verifing VPN Client Versions

I don't think there's anything in the concentrator specifically (like a table) that'll tell you what version they are. You could check the Filterable Event Log when they come in (set AUTH and AUTHDBG classes to 1-13 for logging) and that'll probably tell you, but it's a very tedious process.

You can't stop people connecting if they have the wrong version, but you can have the client display a window with a message telling them where to download the client if they're not running a specific version. On the concentrator go to Config - System - Cleint Update and fill out everything here. Click Help for further information on what the options mean.

Of course the ability for the client to display this message only came in on the 3.1 client, so if they're running anything earlir than that even, then they won't be able to display the window even though it's configured on the concentrator.

Re: Verifing VPN Client Versions

On my 3005 runing 3.6.7 when I go into Monitoring, Sessions, there is a section that shows what version of software the client is running. Is there not something similar on the 3030?

New Member

Re: Verifing VPN Client Versions

I am running 3.5.5...I dont see the information you described. I will have to upgrade.

What about preventing access based on client revision?

Dan

Re: Verifing VPN Client Versions

I don't see that ability but that's not saying it can't be done. The VPN guru's here should be chiming in shortly.

New Member

Re: Verifing VPN Client Versions

What are the options for forcing the users to upgrade their clients?

103
Views
0
Helpful
5
Replies
CreatePlease to create content